| Agda-2.2.6: A dependently typed functional programming language and proof assistant | Source code | Contents | Index

Agda.Syntax.Strict

Documentation

class Strict a where | Source

Methods

force :: a -> Int | Source

Instances

Strict Token
Strict Pragma
Strict Declaration
Strict Expr
Strict NiceDeclaration
Strict ClauseBody
Strict Sort
Strict Type
Strict Term
Strict a => Strict ([] a)
Strict a => Strict (Arg a)
Strict a => Strict (Abs a)
(Strict a, Strict b) => Strict ((,) a b)

($!!) :: Strict a => (a -> b) -> a -> b | Source

strict :: Strict a => a -> a | Source

Produced by Haddock version 2.4.2